The Chess Variant Pages
Custom Search




[ Help | Earliest Comments | Latest Comments ]
[ List All Subjects of Discussion | Create New Subject of Discussion ]
[ List Earliest Comments Only For Pages | Games | Rated Pages | Rated Games | Subjects of Discussion ]

Single Comment

A new error in apothecary chess- classic[Subject Thread] [Add Response]
Greg Strong wrote on 2020-09-15 UTC

Edge should work fine but I don't know if it has plug-ins for ad blockers, nor do I know if it runs in a security sandbox. (It's Microsoft and they are not exactly known for putting security first. Or even second.) These are the important things if you are going to continue to run Win7. Firefox should work for you just fine, although Chrome should as well.